Package io.vertx.rxjava3.sqlclient

## Class Row

- java.lang.Object
- - io.vertx.rxjava3.sqlclient.Tuple
  - - io.vertx.rxjava3.sqlclient.Row

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class Row
      extends Tuple
      implements io.vertx.lang.rx.RxDelegate

  A single row of the `execution result rowset`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<Row>` | `__TYPE_ARG` |
    `static Object` | `JSON_NULL` | The JSON null literal value.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Row​(Row delegate)` |
    `Row​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `<T> T` | `get​(Class<T> type, String column)` | Like `Tuple.get(java.lang.Class<T>, int)` but specifying the `column` instead of the position.
    `BigDecimal[]` | `getArrayOfBigDecimals​(String column)` | Get an array of value for the given `column`.
    `Boolean[]` | `getArrayOfBooleans​(String column)` | Get an array of `Boolean` value for the given `column`.
    `Double[]` | `getArrayOfDoubles​(String column)` | Get an array of `Double` value for the given `column`.
    `Float[]` | `getArrayOfFloats​(String column)` | Get an array of `Float` value for the given `column`.
    `Integer[]` | `getArrayOfIntegers​(String column)` | Get an array of `Integer` value for the given `column`.
    `JsonArray[]` | `getArrayOfJsonArrays​(String column)` | Get an array of value for the given `column`.
    `JsonObject[]` | `getArrayOfJsonObjects​(String column)` | Get an array of value for the given `column`.
    `Object[]` | `getArrayOfJsons​(String column)` | Get an array of JSON elements for the given `column`, the element might be `#JSON_NULL null` or one of the following types: String Number JsonObject JsonArray Boolean
    `LocalDate[]` | `getArrayOfLocalDates​(String column)` | Get an array of value for the given `column`.
    `LocalDateTime[]` | `getArrayOfLocalDateTimes​(String column)` | Get an array of value for the given `column`.
    `LocalTime[]` | `getArrayOfLocalTimes​(String column)` | Get an array of value for the given `column`.
    `Long[]` | `getArrayOfLongs​(String column)` | Get an array of `Long` value for the given `column`.
    `Numeric[]` | `getArrayOfNumerics​(String column)` | Get an array of value for the given `column`.
    `OffsetDateTime[]` | `getArrayOfOffsetDateTimes​(String column)` | Get an array of value for the given `column`.
    `OffsetTime[]` | `getArrayOfOffsetTimes​(String column)` | Get an array of value for the given `column`.
    `Short[]` | `getArrayOfShorts​(String column)` | Get an array of `Short` value for the given `column`.
    `String[]` | `getArrayOfStrings​(String column)` | Get an array of `String` value for the given `column`.
    `Temporal[]` | `getArrayOfTemporals​(String column)` | Get an array of value for the given `column`.
    `UUID[]` | `getArrayOfUUIDs​(String column)` | Get an array of value for the given `column`.
    `BigDecimal` | `getBigDecimal​(String column)` | Get value for the given `column`.
    `Boolean` | `getBoolean​(String column)` | Get a boolean value for the given `column`.
    `Buffer` | `getBuffer​(String column)` | Get a buffer value for the given `column`.
    `int` | `getColumnIndex​(String column)` | Get a column position for the given @code column}.
    `String` | `getColumnName​(int pos)` | Get a column name at `pos`.
    `Row` | `getDelegate()` |
    `Double` | `getDouble​(String column)` | Get a double value for the given `column`.
    `Float` | `getFloat​(String column)` | Get a float value for the given `column`.
    `Integer` | `getInteger​(String column)` | Get an integer value for the given `column`.
    `Object` | `getJson​(String column)` | Get a JSON element for the given `column`, the element might be `#JSON_NULL null` or one of the following types: String Number JsonObject JsonArray Boolean
    `JsonArray` | `getJsonArray​(String column)` | Get a value for the given `column`.
    `JsonObject` | `getJsonObject​(String column)` | Get a value for the given `column`.
    `LocalDate` | `getLocalDate​(String column)` | Get `LocalDate` value for the given `column`.
    `LocalDateTime` | `getLocalDateTime​(String column)` | Get `LocalDateTime` value for the given `column`.
    `LocalTime` | `getLocalTime​(String column)` | Get `LocalTime` value for the given `column`.
    `Long` | `getLong​(String column)` | Get a long value for the given `column`.
    `Numeric` | `getNumeric​(String column)` | Get value for the given `column`.
    `OffsetDateTime` | `getOffsetDateTime​(String column)` | Get `OffsetDateTime` value for the given `column`.
    `OffsetTime` | `getOffsetTime​(String column)` | Get `OffsetTime` value for the given `column`.
    `Short` | `getShort​(String column)` | Get a short value for the given `column`.
    `String` | `getString​(String column)` | Get a string value for the given `column`.
    `Temporal` | `getTemporal​(String column)` | Get a temporal value for the given `column`.
    `UUID` | `getUUID​(String column)` | Get `UUID` value for the given `column`.
    `Object` | `getValue​(String column)` | Get a value for the given `column`.
    `int` | `hashCode()` |
    `static Row` | `newInstance​(Row arg)` |
    `void` | `release()` | Signal the row can be recycled, this is only effective when dealing with a row in a collector query and the row has already been processed and transformed.
    `JsonObject` | `toJson()` | Return a JSON object representation of the row.
    `String` | `toString()` |

    - ### Methods inherited from class io.vertx.rxjava3.sqlclient.Tuple

      `addArrayOfBigDecimal, addArrayOfBoolean, addArrayOfDouble, addArrayOfFloat, addArrayOfInteger, addArrayOfJsonArray, addArrayOfJsonObject, addArrayOfLocalDate, addArrayOfLocalDateTime, addArrayOfLocalTime, addArrayOfLong, addArrayOfOffsetDateTime, addArrayOfOffsetTime, addArrayOfShort, addArrayOfString, addArrayOfTemporal, addArrayOfUUID, addBigDecimal, addBoolean, addBuffer, addDouble, addFloat, addInteger, addJsonArray, addJsonObject, addLocalDate, addLocalDateTime, addLocalTime, addLong, addOffsetDateTime, addOffsetTime, addShort, addString, addTemporal, addUUID, addValue, clear, deepToString, from, from, get, getArrayOfBigDecimals, getArrayOfBooleans, getArrayOfDoubles, getArrayOfFloats, getArrayOfIntegers, getArrayOfJsonArrays, getArrayOfJsonObjects, getArrayOfJsons, getArrayOfLocalDates, getArrayOfLocalDateTimes, getArrayOfLocalTimes, getArrayOfLongs, getArrayOfNumerics, getArrayOfOffsetDateTimes, getArrayOfOffsetTimes, getArrayOfShorts, getArrayOfStrings, getArrayOfTemporals, getArrayOfUUIDs, getBigDecimal, getBoolean, getBuffer, getDouble, getFloat, getInteger, getJson, getJsonArray, getJsonObject, getLocalDate, getLocalDateTime, getLocalTime, getLong, getNumeric, getOffsetDateTime, getOffsetTime, getShort, getString, getTemporal, getUUID, getValue, newInstance, of, of, of, of, of, of, size, tuple, tuple, wrap, wrap`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Row> __TYPE_ARG

    - #### JSON_NULL

          public static final Object JSON_NULL

      The JSON null literal value.
      It is used to distinguish a JSON null literal value from the Java `null` value. This is only used when the database supports JSON types.

  - ### Constructor Detail

    - #### Row

          public Row​(Row delegate)

    - #### Row

          public Row​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Tuple`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Tuple`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Tuple`

    - #### getDelegate

          public Row getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `Tuple`

    - #### getColumnName

          public String getColumnName​(int pos)

      Get a column name at `pos`.
      Parameters:
        `pos` - the column position
      Returns:
        the column name or `null`

    - #### getColumnIndex

          public int getColumnIndex​(String column)

      Get a column position for the given @code column}.
      Parameters:
        `column` - the column name
      Returns:
        the column name or `-1` if not found

    - #### getValue

          public Object getValue​(String column)

      Get a value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getBoolean

          public Boolean getBoolean​(String column)

      Get a boolean value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getShort

          public Short getShort​(String column)

      Get a short value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getInteger

          public Integer getInteger​(String column)

      Get an integer value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getLong

          public Long getLong​(String column)

      Get a long value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getFloat

          public Float getFloat​(String column)

      Get a float value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getDouble

          public Double getDouble​(String column)

      Get a double value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getString

          public String getString​(String column)

      Get a string value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getJson

          public Object getJson​(String column)

      Get a JSON element for the given `column`, the element might be `#JSON_NULL null` or one of the following types:
      - String
      - Number
      - JsonObject
      - JsonArray
      - Boolean
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getJsonObject

          public JsonObject getJsonObject​(String column)

      Get a value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getJsonArray

          public JsonArray getJsonArray​(String column)

      Get a value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getBuffer

          public Buffer getBuffer​(String column)

      Get a buffer value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### get

          public <T> T get​(Class<T> type,
                           String column)

      Like `Tuple.get(java.lang.Class<T>, int)` but specifying the `column` instead of the position.
      Parameters:
        `type` -
        `column` -
      Returns:

    - #### toJson

          public JsonObject toJson()

      Return a JSON object representation of the row.

      Column names are mapped to JSON keys.

      The following rules are applied for the column values:

      - number, boolean and string are preserved
      - the `null` value is preserved
      - JSON elements are preserved
      - `Buffer` are converted to base64 encoded strings
      - array is mapped `JsonArray`
      - otherwise the type converted to a string
      Returns:
        the json representation

    - #### release

          public void release()

      Signal the row can be recycled, this is only effective when dealing with a row in a collector query and the row has already been processed and transformed.

    - #### getNumeric

          public Numeric getNumeric​(String column)

      Get value for the given `column`.
      Parameters:
        `column` - the column
      Returns:
        the `column` value

    - #### getTemporal

          public Temporal getTemporal​(String column)

      Get a temporal value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getLocalDate

          public LocalDate getLocalDate​(String column)

      Get `LocalDate` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getLocalTime

          public LocalTime getLocalTime​(String column)

      Get `LocalTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getLocalDateTime

          public LocalDateTime getLocalDateTime​(String column)

      Get `LocalDateTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getOffsetTime

          public OffsetTime getOffsetTime​(String column)

      Get `OffsetTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getOffsetDateTime

          public OffsetDateTime getOffsetDateTime​(String column)

      Get `OffsetDateTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getUUID

          public UUID getUUID​(String column)

      Get `UUID` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getBigDecimal

          public BigDecimal getBigDecimal​(String column)

      Get value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfBooleans

          public Boolean[] getArrayOfBooleans​(String column)

      Get an array of `Boolean` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfShorts

          public Short[] getArrayOfShorts​(String column)

      Get an array of `Short` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfIntegers

          public Integer[] getArrayOfIntegers​(String column)

      Get an array of `Integer` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfLongs

          public Long[] getArrayOfLongs​(String column)

      Get an array of `Long` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfFloats

          public Float[] getArrayOfFloats​(String column)

      Get an array of `Float` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfDoubles

          public Double[] getArrayOfDoubles​(String column)

      Get an array of `Double` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfNumerics

          public Numeric[] getArrayOfNumerics​(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column
      Returns:
        the `column` value

    - #### getArrayOfStrings

          public String[] getArrayOfStrings​(String column)

      Get an array of `String` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfJsonObjects

          public JsonObject[] getArrayOfJsonObjects​(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfJsonArrays

          public JsonArray[] getArrayOfJsonArrays​(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfTemporals

          public Temporal[] getArrayOfTemporals​(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfLocalDates

          public LocalDate[] getArrayOfLocalDates​(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfLocalTimes

          public LocalTime[] getArrayOfLocalTimes​(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfLocalDateTimes

          public LocalDateTime[] getArrayOfLocalDateTimes​(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfOffsetTimes

          public OffsetTime[] getArrayOfOffsetTimes​(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfOffsetDateTimes

          public OffsetDateTime[] getArrayOfOffsetDateTimes​(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfUUIDs

          public UUID[] getArrayOfUUIDs​(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfBigDecimals

          public BigDecimal[] getArrayOfBigDecimals​(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfJsons

          public Object[] getArrayOfJsons​(String column)

      Get an array of JSON elements for the given `column`, the element might be `#JSON_NULL null` or one of the following types:
      - String
      - Number
      - JsonObject
      - JsonArray
      - Boolean
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### newInstance

          public static Row newInstance​(Row arg)